    <script type="text/javascript">

      $(document).ready(function() {

        // Override sorting function for numbers mixed with NA to keep NA < 0
        $.fn.dataTable.ext.type.order["html-num-fmt-pre"] = function(data) {
            // Strip HTML
            data = data.replace(/<.*?>/g, '');
            // Remove dots
            data = data.replace(/\./g, '');
            // Replace commas dots
            data = data.replace(/,/g, '.');
            // Strip any remaining no numeric data
            data = data.replace(/[^0-9\.\-]/g, '');
            if ( data === '' ) { // it was NA
              return -Infinity;
            }
            return data*1;
        };

        var table = $('#downloads_table').DataTable({

          dom: 'frtip',
          colReorder: true,
          orderCellsTop: true,
          fixedHeader: true,
          info: true,
          processing: true,
          scrollX: true,
          pageLength: 25,
          pagingType: "full_numbers",
          deferRender: true,
          orderClasses: false,

          columnDefs: [
            {
              targets: "_all",
              createdCell: function (td, cellData, rowData, row, col) {
                if (cellData == 'NA') {
                  $(td).css('color', '#b3b3b3')
                  $(td).css('font-style', 'italic')
                }
              },
              visible: true
            },
            {
              targets: 0,
              className: "dt-body-left",
            },
            {
              targets: [{% for c in dataset_columns %}{{ c }}, {% endfor %}],
              className: "dt-body-center",
            },
          ],

          language: {
            search: '<i class="fa fa-search" style="font-size: 1.25em;"></i>',
            searchPlaceholder: 'Search anything...',
          },


          data: [
             {% for row in table_rows %} [{% for data_field in row %}"{{ data_field }}",{% endfor %}],
             {% endfor %}
          ]

        });
      });

      $.fn.DataTable.ext.pager.numbers_length = 3;

    </script>
